Subject: Re: [PATCH v2] net: phy: add Maxlinear GPY115/21x/24x driver

From: Andrew Lunn <[email-masked]>
Date: Fri, 4 Jun 2021 14:09:44 +0200

> In one of our product (in developing), the NIC driver can decide to 
> switch to 2nd firmware.

There are currently no systems like this in Linux. So this is going to
need new support. Ideally, we don't want the MAC involved in this
switch, because then you need to teach every MAC driver in linux about
how your PHY is special.

I would say, for the moment, forget about this setup. When you submit
support for it, we can look at the bigger picture, and see how best to
support it.

So please put the firmware version print in the driver probe
function. That should work for the devices the driver currently
supports.

	  Andrew